org.apache.solr.handler.component

## Class FieldFacetStats

- java.lang.Object
- - org.apache.solr.handler.component.FieldFacetStats

-     public class FieldFacetStats
      extends Object

  FieldFacetStats is a utility to accumulate statistics on a set of values in one field, for facet values present in another field.

  9/10/2009 - Moved out of StatsComponent to allow open access to UnInvertedField

  See Also:
    `StatsComponent`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Map<String,StatsValues>` | `facetStatsValues`
    `String` | `name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldFacetStats(SolrIndexSearcher searcher, SchemaField facet_sf, StatsField statsField)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accumulateMissing()`
    `boolean` | `accumulateTermNum(int statsTermNum, BytesRef value)`
    `void` | `facet(int docID)`
    `void` | `facetMissingNum(int docID)`
    `boolean` | `facetTermNum(int docID, int statsTermNum)`
    `void` | `setNextReader(LeafReaderContext ctx)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          public final String name

    - #### facetStatsValues

          public final Map<String,StatsValues> facetStatsValues

  - ### Constructor Detail

    - #### FieldFacetStats

          public FieldFacetStats(SolrIndexSearcher searcher,
                                 SchemaField facet_sf,
                                 StatsField statsField)

  - ### Method Detail

    - #### facet

          public void facet(int docID)
                     throws IOException

      Throws:
        `IOException`

    - #### facetTermNum

          public boolean facetTermNum(int docID,
                                      int statsTermNum)
                               throws IOException

      Throws:
        `IOException`

    - #### accumulateTermNum

          public boolean accumulateTermNum(int statsTermNum,
                                           BytesRef value)
                                    throws IOException

      Throws:
        `IOException`

    - #### setNextReader

          public void setNextReader(LeafReaderContext ctx)
                             throws IOException

      Throws:
        `IOException`

    - #### facetMissingNum

          public void facetMissingNum(int docID)
                               throws IOException

      Throws:
        `IOException`

    - #### accumulateMissing

          public void accumulateMissing()
                                 throws IOException

      Throws:
        `IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.